vulture(1)

NAME
vulture - searches for unused ("dead") code in a Python program

SYNOPSIS
vulture [options] <path>

DESCRIPTION
Vulture scans for unused classes, functions and variables.

Due to Python's dynamic nature it's impossible to find all ununsed code for a static code analyzer, because it ignores scopes and scans only token names. Additionally, some dynamic items that are not explicitly called in the code may be incorrectly reported.

OPTIONS
-h, --help

--exclude=<exclude>

      comma-separated list of filename patterns to exclude (e.g. svn,external)

-v, --verbose

AUTHORS
vulture was written by Jendrik Seipp <jendrikseipp@web.de>